### Function

# Notify init

#### Declaration [src]

    gboolean
    notify_init (
      const char* app_name
    )

#### Description [src]

Initialized libnotify. This must be called before any other functions.

Starting from 0.8, if the provided `app_name` is `NULL`, libnotify will try to figure it out from the running application. Before it was not allowed, and was causing libnotify not to be initialized.

#### Parameters

`app_name`

  Type: `const char*`

  The name of the application initializing libnotify.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if successful, or `FALSE` on error.